package com.yqbsoft.laser.service.resources;


import com.yqbsoft.laser.service.tool.util.JsonUtil;

public class ResourcesConstants {
    public static final String SYS_CODE = "rs";

    /**
     * 根节点父级代码
     */
    public final static String PNTREE_ROOT_CODE = "-1";

    /**
     * 跟节点层级1
     */
    public final static Integer PNTREE_ROOT_STAEP = 1;

    /**
     * 商品状态
     * 新增
     */
    public final static Integer GOODS_DATA_STATE_0 = 0;
    /**
     * 商品状态
     * 待审核
     */
    public final static Integer GOODS_DATA_STATE_1 = 1;

    /**
     * 商品状态
     * 审核通过
     */
    public final static Integer GOODS_DATA_STATE_2 = 2;

    /**
     * 商品状态
     * 被下架
     */
    public final static Integer GOODS_DATA_STATE_3 = 3;
    /**
     * 商品状态
     * 安全库存被下架
     */
    public final static Integer GOODS_DATA_STATE_4 = 4;


    /**
     * 商品状态
     * 审核不通过
     */
    public final static Integer GOODS_DATA_STATE_NO = -1;

    /**
     * 商品状态
     * 未发布
     */
    public final static Integer DATA_OPBILLSTATE_0 = 0;
    /**
     * 商品状态
     * 已发布
     */
    public final static Integer DATA_OPBILLSTATE_1 = 1;

    /**
     * 出入库标识
     */
    public final static String STORE_GOODS_TYPE_CHU = "1";
    public final static String STORE_GOODS_TYPE_RU = "2";

    /**
     * 是否查询商品下的sku标识
     */
    public final static String SKU_FLAG = "children";

    /**
     * 是否查询商品下的sku标识
     */
    public final static String GOODSSHOP_FLAG = "goodsShopFlag";

    /**
     * 是否为导出商品
     */
    public final static String EXPORT_FLAG = "exportFlagSku";

    /**
     * 标书状态
     */
    public final static Integer GINFO_DATA_STATE_0 = 0;//待审核
    public final static Integer GINFO_DATA_STATE_1 = 1;//预热中
    public final static Integer GINFO_DATA_STATE_2 = 2;//进行中
    public final static Integer GINFO_DATA_STATE_3 = 3;//审核拒绝
    public final static Integer GINFO_DATA_STATE_4 = 4;//团购失败
    public final static Integer GINFO_DATA_STATE_5 = 5;//团购成功

    public final static String GINFO_TYPE_5 = "5";//标书类型  团购
    public final static String GINFO_TYPE_6 = "6";//促销

    public final static String GOODS_PRO_5 = "5";//组合商品

    /**
     *
     */
    public final static String GINFO_LIST_STATE_0 = "0";//失效
    public final static String GINFO_LIST_STATE_1 = "1";//生效

    public final static Integer FILE_DEFAULTSTATE_0 = 0; //文件默认状态 不显示0
    public final static Integer FILE_DEFAULTSTATE_1 = 1; //文件默认状态 显示 1
    public final static String ES_ADD = "add";//新增
    public final static String ES_SKUADD = "skuadd";//新增
    public final static String ES_SKUINSERT = "skuinsert";//上架
    public final static String ES_SKUDOWN = "skudown";//下架
    public final static String ES_SKUDELETEOP = "skudeleteop";//删除
    public final static String ES_SKUDELETE = "skudelete";//物理删除
    public final static String ES_INSERT = "insert";//上架
    public final static String ES_EDIT = "edit";//上架状态修改价格和库存
    public final static String ES_UPDATE = "update";//更新
    public final static String ES_ESUPDATE = "esupdate";//es更新
    public final static String ES_DOWN = "down";//下架
    public final static String ES_DELETE = "delete";//物理删除
    public final static String ES_DELETEOP = "deleteop";//删除

    public final static String ES_ORDER = "order";//下单库存处理

    public final static String FD_BIZTYPE_GOODSCODE = "RsResourceGoods";//1;   //流水业务类型 --- 商品
    public final static String FD_BIZTYPE_GOODSCODEGIFT = "RsResourceGoodsGift";//1;   //流水业务类型 --- 商品
    public final static String FD_BIZTYPE_SKUCODE = "RsSku";//2;   //流水业务类型 --- SKU
    public final static String FD_BIZTYPE_GOODSCODEHTML = "RsResourceGoodsHtml";//1;   //流水业务类型 --- 商品
    public final static String FD_BIZTYPE_SKUCODEHTML = "RsSkuHtml";//2;   //流水业务类型 --- SKU
    public final static String FD_BIZTYPE_GOODSCODEES = "RsResourceGoodsEs";//1;   //流水业务类型 --- 商品
    public final static String FD_BIZTYPE_SKUCODEES = "RsSkuEs";//2;   //流水业务类型 --- SKU
    public final static String FD_BIZTYPE_CLASSTREE = "RsClasstree";//3;   //流水业务类型 商品分类 --- classtree
    public final static String FD_BIZTYPE_GOODSCLASS = "RsGoodsClass";//4;   //流水业务类型 虚拟分类 --- goodsclass
    public final static String FD_BIZTYPE_DISGOODS = "DisRsResourceGoods";//5;   //流水业务类型 渠道商品推送（包括SKU）
    public final static String FD_BIZTYPE_DISSKU = "DisRsSku";//6;   //流水业务类型 渠道SKU推送（單獨修改時候）
    public final static String FD_BIZTYPE_CENTDISGOODS = "CentDisRsResourceGoods";//5;   //流水业务类型 渠道商品推送（包括SKU）
    public final static String FD_BIZTYPE_CENTDISSKU = "CentDisRsSku";//6;   //流水业务类型 渠道SKU推送（單獨修改時候）
    public final static String FD_BIZTYPE_OUTGOODSCODE = "outGoods";//7;   //对外推送业务类型 --- 商品

    public final static String FD_BIZTYPE_DATAUPDATE = "dataUpdate";//8;   //同步购物车、足迹、收藏商品价格、库存、上下架状态 --- 商品

    public final static String FD_BIZTYPE_DISGOODSCLASS = "DisRsGoodsClass";//9;   //流水业务类型 渠道虚拟分类 --- goodsclass
    public final static String FD_BIZTYPE_MCSKU = "McRsSku";//2;   //流水业务类型 --- SKU
    public final static String FD_BIZTYPE_UPDATE = "Updata";//1;   //流水业务类型 --- SKU 更新门店库存和价格
    public final static String FD_BIZTYPE_TCSKU = "TcRsSku";//2;
    public final static String FD_BIZTYPE_RSBRAND = "RsBrand";////流水业务类型 品牌
    public final static String FD_BIZTYPE_MKSKU = "MkRsSku";//组合商品;
    public final static String FD_BIZTYPE_NUMSKU = "NumRsSku";//库存处理;
    public final static String FD_BIZTYPE_RCSKU = "RcRsSku";//处理组合商品库存
    public final static String FD_BIZTYPE_DISMERBRAND = "DisMerBradn";//采购渠道品牌推送
    public final static String FD_BIZTYPE_GOODSRTAG = "RsGoodsRtag";//商品标签
    public final static String FD_BIZTYPE_GIFTREL = "Giftrel";//商品标签

    public final static String FD_BIZTYPE_TYPESKU = "TypeRsSku";//
    public final static String FD_BIZTYPE_TYPEINITSKU = "TypeInitRsSku";//

    public final static String GOODS_REL_TYPE_1 = "1";  // 1推荐
    public final static String GOODS_REL_TYPE_2 = "3";  // 2关联
    public final static String GOODS_REL_TYPE_3 = "3";  // 3打包套餐
    public final static String RSSKUONETENAMTCODE = "SkuOne-ChannelCode-TenantCode";
    public final static String RSWHSETTENAMTCODE = "RsWhset-TenantCode";

    public static final String GOODS_TYPE_06 = "06";//积分实物
    public static final String GOODS_TYPE_24 = "24";//团购
    public static final String GOODS_TYPE_26 = "26";//秒杀
    public static final String GOODS_TYPE_00 = "00";//积分实物

    public static final String DGOODS_PUT_ON="1";
    public static final String DGOODS_PUT_OFF="0";
    public static final String GOODS_ORIGIN_17="17";
    public static final String DGOODS_PIC_OFF="0";
    public static final String DGOODS_REMARK_OFF="0";
    public static final String DGOODS_SYNPRIC_OFF="0";
    public static final String DGOODS_SYNPRIC_ON="1";
    public static final String DGOODS_UPRICE_ON="1";
    public static final String DGOODS_UPRICE_OFF="0";
    public static final String DGOODS_UNUM_ON="1";
    public static final String DGOODS_UNUM_OFF="0";
    public static final String DGOODS_SYNC_ON="1";
    public static final String DGOODS_SYNC_OFF="0";

    public static final String WH_WAY_1 = "1";//处理
    public static final String WH_WAY_0 = "0";//不处理
    public static final String EDIT_WAY_1 = "1";//通过mcode
    public static final String EDIT_WAY_2 = "2";//通过oldcode获取上级
    public static final String EDIT_WAY_3 = "3";//通过oldcode获取全部上级
    public static final String DdFalgSettingKey = "DdFalgSetting-key";
    public static final String tenantCode = "00000000";
    public static final String dd_rs_senddatabak = "rs_senddatabak";
    public static final String dd_rs_flowdata_finish = "rs_flowdata_finish";
    public static final String dd_dis_Dprice = "dd_dis_Dprice";//数据字段渠道价格开启状态
    public static final String dis_Dprice_state = "dis_Dprice";//渠道价格状态

    public final static String PROMOTION_IN_TYPE_5 = "5";
    public static final String WHUSERWHCONF = "whuserwhconf-userwhCode";
    public static final String WHUSERWHCONFKEY = "whuserwhconf-userwhCode-key";
    public static final String WHUSERWHCONFVALUE = "whuserwhconf-userwhCode-value";

    public static final String WHUSERWHMEMKEY = "whuserwhmem-userwhCode-key";
    public static final String WHUSERWHMEMVALUE = "whuserwhmem-userwhCode-value";

    public  static final  String QUERY_STORE_SKU_API = "wh.whStoreGoods.queryStoreSkuPage";

    public static final String price = "price";//


    //sku 销售量修改类型：1 下单后, 2 支付后  增加销售量,3 消单 减少销售量
    public static final String SKU_SALES_TYPE_2 = "2";
}
