/*
 * qjsoft
 * Copyright (c) 2018 All Rights Reserved.
 */
package com.yqbsoft.laser.service.resources.domain.domain;
import com.yqbsoft.laser.service.esb.annotation.ColumnName;
import java.io.Serializable;
import com.yqbsoft.laser.service.esb.core.transformer.BaseDomain;
import java.util.Date;
import java.math.BigDecimal;

public class DisDpriceADomain extends BaseDomain implements Serializable{
	/**
	 * id
	 */
    @ColumnName("id")
    private Integer dpriceId;
	/**
	 * 渠道商品价格设置代码
	 */
    @ColumnName("渠道商品价格设置代码")
    private String dpriceCode;
	/**
	 * 渠道商品发布设置代码
	 */
    @ColumnName("渠道商品发布设置代码")
    private String dgoodsCode;
	/**
	 * 价格名称说明
	 */
    @ColumnName("价格名称说明")
    private String dpriceName;
	/**
	 * 渠道名称
	 */
    @ColumnName("渠道名称")
    private String channelName;
	/**
	 * 渠道代码
	 */
    @ColumnName("渠道代码")
    private String channelCode;
	/**
	 * 渠道分类0 销售  1采购  
	 */
    @ColumnName("渠道分类0销售1采购")
    private String channelSort;
	/**
	 * 渠道类型(0线上 2第三方 1 门店)
	 */
    @ColumnName("渠道类型(0线上2第三方1门店)")
    private String channelType;
	/**
	 * 渠道管理的用户代码
	 */
    @ColumnName("渠道管理的用户代码")
    private String memberMcode;
	/**
	 * 渠道管理的用户名称
	 */
    @ColumnName("渠道管理的用户名称")
    private String memberMname;
	/**
	 * 渠道用户代码
	 */
    @ColumnName("渠道用户代码")
    private String memberCode;
	/**
	 * 渠道用户名称
	 */
    @ColumnName("渠道用户名称")
    private String memberName;
	/**
	 * 权重 小权重大
	 */
    @ColumnName("权重小权重大")
    private Integer dpriceWeight;
	/**
	 * 类型
	 */
    @ColumnName("类型")
    private String dpriceType;
	/**
	 * 版本号
	 */
    @ColumnName("版本号")
    private Integer dpriceVer;
	/**
	 * 同步 0 没  1同步
	 */
    @ColumnName("同步0没1同步")
    private String dpriceSync;
	/**
	 * 同步结束时间
	 */
    @ColumnName("同步结束时间")
    private Date dpriceEydate;
	/**
	 * 同步时间
	 */
    @ColumnName("同步时间")
    private Date dpriceSydate;
	/**
	 * 价格设置方式：0 幅度 1 折扣 2 价格
	 */
    @ColumnName("价格设置方式：0幅度1折扣2价格")
    private String dpricePro;
	/**
	 * 价格
	 */
    @ColumnName("价格")
    private BigDecimal dpricePrice;
	/**
	 * 价格(市场价)
	 */
    @ColumnName("价格(市场价)")
    private BigDecimal dpriceMprice;
	/**
	 * 价格（销售价）默认 新增时候用到
	 */
    @ColumnName("价格（销售价）默认新增时候用到")
    private BigDecimal dpricePricedef;
	/**
	 * 价格(市场价)默认新增时候用到
	 */
    @ColumnName("价格(市场价)默认新增时候用到")
    private BigDecimal dpriceMpricedef;
	/**
	 * 最低价格 价格方式
	 */
    @ColumnName("最低价格价格方式")
    private BigDecimal dpriceMin;
	/**
	 * 最高价格 价格方式
	 */
    @ColumnName("最高价格价格方式")
    private BigDecimal dpriceMax;
	/**
	 * 外系统代码
	 */
    @ColumnName("外系统代码")
    private String dpriceOcode;
	/**
	 * 外系统代码
	 */
    @ColumnName("外系统代码")
    private String dpriceOcode1;
	/**
	 * 版本号
	 */
    @ColumnName("版本号")
    private Integer channelVer;
	/**
	 * 租户ID
	 */
    @ColumnName("租户ID")
    private String tenantCode;
	/**
	 * 计价方式：0数量 1 重量
	 */
    @ColumnName("计价方式：0数量1重量")
    private String dpriceDflag;
	/**
	 * 操作员代码
	 */
    @ColumnName("操作员代码")
    private String userCode;
	/**
	 * 审核操作员代码
	 */
    @ColumnName("审核操作员代码")
    private String dpriceAucode;
	/**
	 * 审核操作员名称
	 */
    @ColumnName("审核操作员名称")
    private String dpriceAuname;
	/**
	 * 公司代码
	 */
    @ColumnName("公司代码")
    private String companyCode;
	/**
	 * 部门代码
	 */
    @ColumnName("部门代码")
    private String departCode;
	/**
	 * 部门简称
	 */
    @ColumnName("部门简称")
    private String departShortname;
	/**
	 * 员工代码
	 */
    @ColumnName("员工代码")
    private String employeeCode;
	/**
	 * 员工名称
	 */
    @ColumnName("员工名称")
    private String employeeName;
	/**
	 * 审核备注
	 */
    @ColumnName("审核备注")
    private String dpriceAuremark;
	/**
	 * 操作员名称
	 */
    @ColumnName("操作员名称")
    private String userName;
	/**
	 * USER_CODE
	 */
    @ColumnName("USER_CODE")
    private String companyShortname;
	public Integer getDpriceId() {
		return dpriceId;
	}

	public void setDpriceId(Integer dpriceId) {
		this.dpriceId = dpriceId;
	}

	public String getDpriceCode() {
		return dpriceCode;
	}

	public void setDpriceCode(String dpriceCode) {
		this.dpriceCode = dpriceCode;
	}

	public String getDgoodsCode() {
		return dgoodsCode;
	}

	public void setDgoodsCode(String dgoodsCode) {
		this.dgoodsCode = dgoodsCode;
	}

	public String getDpriceName() {
		return dpriceName;
	}

	public void setDpriceName(String dpriceName) {
		this.dpriceName = dpriceName;
	}

	public String getChannelName() {
		return channelName;
	}

	public void setChannelName(String channelName) {
		this.channelName = channelName;
	}

	public String getChannelCode() {
		return channelCode;
	}

	public void setChannelCode(String channelCode) {
		this.channelCode = channelCode;
	}

	public String getChannelSort() {
		return channelSort;
	}

	public void setChannelSort(String channelSort) {
		this.channelSort = channelSort;
	}

	public String getChannelType() {
		return channelType;
	}

	public void setChannelType(String channelType) {
		this.channelType = channelType;
	}

	public String getMemberMcode() {
		return memberMcode;
	}

	public void setMemberMcode(String memberMcode) {
		this.memberMcode = memberMcode;
	}

	public String getMemberMname() {
		return memberMname;
	}

	public void setMemberMname(String memberMname) {
		this.memberMname = memberMname;
	}

	public String getMemberCode() {
		return memberCode;
	}

	public void setMemberCode(String memberCode) {
		this.memberCode = memberCode;
	}

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

	public Integer getDpriceWeight() {
		return dpriceWeight;
	}

	public void setDpriceWeight(Integer dpriceWeight) {
		this.dpriceWeight = dpriceWeight;
	}

	public String getDpriceType() {
		return dpriceType;
	}

	public void setDpriceType(String dpriceType) {
		this.dpriceType = dpriceType;
	}

	public Integer getDpriceVer() {
		return dpriceVer;
	}

	public void setDpriceVer(Integer dpriceVer) {
		this.dpriceVer = dpriceVer;
	}

	public String getDpriceSync() {
		return dpriceSync;
	}

	public void setDpriceSync(String dpriceSync) {
		this.dpriceSync = dpriceSync;
	}

	public Date getDpriceEydate() {
		return dpriceEydate;
	}

	public void setDpriceEydate(Date dpriceEydate) {
		this.dpriceEydate = dpriceEydate;
	}

	public Date getDpriceSydate() {
		return dpriceSydate;
	}

	public void setDpriceSydate(Date dpriceSydate) {
		this.dpriceSydate = dpriceSydate;
	}

	public String getDpricePro() {
		return dpricePro;
	}

	public void setDpricePro(String dpricePro) {
		this.dpricePro = dpricePro;
	}

	public BigDecimal getDpricePrice() {
		return dpricePrice;
	}

	public void setDpricePrice(BigDecimal dpricePrice) {
		this.dpricePrice = dpricePrice;
	}

	public BigDecimal getDpriceMprice() {
		return dpriceMprice;
	}

	public void setDpriceMprice(BigDecimal dpriceMprice) {
		this.dpriceMprice = dpriceMprice;
	}

	public BigDecimal getDpricePricedef() {
		return dpricePricedef;
	}

	public void setDpricePricedef(BigDecimal dpricePricedef) {
		this.dpricePricedef = dpricePricedef;
	}

	public BigDecimal getDpriceMpricedef() {
		return dpriceMpricedef;
	}

	public void setDpriceMpricedef(BigDecimal dpriceMpricedef) {
		this.dpriceMpricedef = dpriceMpricedef;
	}

	public BigDecimal getDpriceMin() {
		return dpriceMin;
	}

	public void setDpriceMin(BigDecimal dpriceMin) {
		this.dpriceMin = dpriceMin;
	}

	public BigDecimal getDpriceMax() {
		return dpriceMax;
	}

	public void setDpriceMax(BigDecimal dpriceMax) {
		this.dpriceMax = dpriceMax;
	}

	public String getDpriceOcode() {
		return dpriceOcode;
	}

	public void setDpriceOcode(String dpriceOcode) {
		this.dpriceOcode = dpriceOcode;
	}

	public String getDpriceOcode1() {
		return dpriceOcode1;
	}

	public void setDpriceOcode1(String dpriceOcode1) {
		this.dpriceOcode1 = dpriceOcode1;
	}

	public Integer getChannelVer() {
		return channelVer;
	}

	public void setChannelVer(Integer channelVer) {
		this.channelVer = channelVer;
	}

	public String getTenantCode() {
		return tenantCode;
	}

	public void setTenantCode(String tenantCode) {
		this.tenantCode = tenantCode;
	}

	public String getDpriceDflag() {
		return dpriceDflag;
	}

	public void setDpriceDflag(String dpriceDflag) {
		this.dpriceDflag = dpriceDflag;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getDpriceAucode() {
		return dpriceAucode;
	}

	public void setDpriceAucode(String dpriceAucode) {
		this.dpriceAucode = dpriceAucode;
	}

	public String getDpriceAuname() {
		return dpriceAuname;
	}

	public void setDpriceAuname(String dpriceAuname) {
		this.dpriceAuname = dpriceAuname;
	}

	public String getCompanyCode() {
		return companyCode;
	}

	public void setCompanyCode(String companyCode) {
		this.companyCode = companyCode;
	}

	public String getDepartCode() {
		return departCode;
	}

	public void setDepartCode(String departCode) {
		this.departCode = departCode;
	}

	public String getDepartShortname() {
		return departShortname;
	}

	public void setDepartShortname(String departShortname) {
		this.departShortname = departShortname;
	}

	public String getEmployeeCode() {
		return employeeCode;
	}

	public void setEmployeeCode(String employeeCode) {
		this.employeeCode = employeeCode;
	}

	public String getEmployeeName() {
		return employeeName;
	}

	public void setEmployeeName(String employeeName) {
		this.employeeName = employeeName;
	}

	public String getDpriceAuremark() {
		return dpriceAuremark;
	}

	public void setDpriceAuremark(String dpriceAuremark) {
		this.dpriceAuremark = dpriceAuremark;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getCompanyShortname() {
		return companyShortname;
	}

	public void setCompanyShortname(String companyShortname) {
		this.companyShortname = companyShortname;
	}

}
